Sprachpaket English

  • Affected Version
    WoltLab Suite 5.2

    Hallo,


    und zwar habe ich das Problem, dass das Englische Sprachpaket nicht so übersetzt wie es eigentlich sollte.

    So Standardsachen wie zB. oben die Konversationsleiste werden einfach nicht übersetzt bzw. stehen nicht einmal als Variable in der .xml Datei drin.

    Das Sprachpaket habe ich aus dem normalen 5.2 Ordner und nachträglich installiert was sonst nie ein Problem war, da ich den Rest manuell angepasst hatte.

    Hat jemand ein erweitertertes englische Sprachpaket und würde teilen? Einfach mal ob es dann klappt.


    Wenn wer andere Ideen hat bin ich gerne für offen :)


    Hier mal Screenshots um es ein wenig zu verdeutlichen:

    https://gyazo.com/fe821d59f892300b61753e54db265775

    https://gyazo.com/5e497756e72d058bb0922d79db14ddd3 (Deutsche Darstellung, obwohl Englisch.)

    Edited once, last by xCaesar ().

  • Go to Best Answer
  • Es reicht nicht, die en.xml des WSC zu importieren. Du musst die Sprachdatei für jedes installierte Plugin und für jede installierte Anwendung installieren.


    Darüber hinaus wirst du auch Spaß haben, sämtliche Titel von Boxen und Seiten einzupflegen. Denn das geht nicht ohne weiteres, weil sämtliche Objekte gegenwärtig nur monolingual existieren und die Texte auch nicht aus dem Sprachdateien kommen.

  • Ein kleiner Tipp für die Zukunft:

    Screenshots nicht irgendwo extern hochladen, sondern als Dateianhang. Dann müssen wir nicht extra eine externe Seite aufrufen und Daten an diese Seite übertragen, nur um deine Bilder sehen zu können. Außerdem bleiben die Bilder dann auch in Zukunft erhalten und verschwinden nicht irgendwann, wodurch manche Threads plötzlich nicht mehr zu gebrauchen sind.

  • Es reicht nicht, die en.xml des WSC zu importieren. Du musst die Sprachdatei für jedes installierte Plugin und für jede installierte Anwendung installieren.


    Darüber hinaus wirst du auch Spaß haben, sämtliche Titel von Boxen und Seiten einzupflegen. Denn das geht nicht ohne weiteres, weil sämtliche Objekte gegenwärtig nur monolingual existieren und die Texte auch nicht aus dem Sprachdateien kommen.

    Das mit den Boxxen etc. ist mir schon bewusst, allerdings habe ich auch immer ein komplettes Paket installiert, also wo DE und EN enthalten waren.

    Kann man die en dateien nachträglich nochmal installieren, also einzelnd? Muss man das dann im Paket an sich hochladen oder einfach bei Sprache hinzufügen?



    Ein kleiner Tipp für die Zukunft:

    Screenshots nicht irgendwo extern hochladen, sondern als Dateianhang. Dann müssen wir nicht extra eine externe Seite aufrufen und Daten an diese Seite übertragen, nur um deine Bilder sehen zu können. Außerdem bleiben die Bilder dann auch in Zukunft erhalten und verschwinden nicht irgendwann, wodurch manche Threads plötzlich nicht mehr zu gebrauchen sind.

    Vielen Dank für die Info! Wird in Zukunft gemacht :)

    • Best Answer

    allerdings habe ich auch immer ein komplettes Paket installiert, also wo DE und EN enthalten waren.


    Nicht installierte Sprachen werden bei der Installation von Sprachpaketen aber ignoriert. Es ist also unerheblich, ob in einem Paket de, en, fr, es, tr, ch-zn und it enthalten sind, oder nicht - Sind die Sprachen nicht installiert, werden auch die dazugehörigen Variablen nicht installiert.


    Kann man die en dateien nachträglich nochmal installieren, also einzelnd? Muss man das dann im Paket an sich hochladen oder einfach bei Sprache hinzufügen?


    Einfach die en.xml aus den betreffenden Paketen im ACP in der Sprachen-Verwaltung hochladen und Englisch als Basis setzen.

  • Ich habe die Sprachdateien von Wasserlasser in Russisch und französisch installiert (core, forum, filebase) und die funktionieren tadellos. Dann habe ich aus dem Download von Woltlab die Sprachdateien in English extrahiert und installiert, Forum und Filebase. Das Ergebnis ist erschütternd. Außer dem Control Panel ist so gut wie nichts übersetzt.

    Was mache ich falsch?

  • Erst mal Danke fuer das Lob.

    Was genau hast Du denn hoch geladen?

    Du sagst Forum und Filebase, hast Du da die richtigen Sprachdateien extrahiert und hoch geladen?

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!